## ros-iron-image-rotate 3.0.1

=== debian/changelog ===
ros-iron-image-rotate (3.0.1-3jammy) jammy; urgency=high

  * Replace deprecated headers
    Fixing compiler warnings.
  * Contributors: Jacob Perron

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2022 16:00:00 -0000

ros-iron-image-rotate (3.0.0-3jammy) jammy; urgency=high

  * Cleanup the image_rotate package.
  * Replace deprecated geometry2 headers
  * revert a293252
  * Replace deprecated geometry2 headers
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Contributors: Chris Lalancette, Jacob Perron, Patrick Musau

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-image-rotate (2.2.1-3jammy) jammy; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2020 16:00:00 -0000

ros-iron-image-rotate (2.2.0-3jammy) jammy; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
  * Use newer 'add_on_set_parameters_callback' API (#562 <https://github.com/ros-perception/image_pipeline/issues/562>)
    The old API was deprecated in Foxy and since removed in https://github.com/ros2/rclcpp/pull/1199.
  * Contributors: Jacob Perron, Joshua Whitley
  * Initial ROS2 commit.
  * Contributors: Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Jul 2020 16:00:00 -0000

ros-iron-image-rotate (1.12.23-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 16:00:00 -0000

ros-iron-image-rotate (1.12.22-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 16:00:00 -0000

ros-iron-image-rotate (1.12.21-3jammy) jammy; urgency=high

  * [image_rotate] Added TF timeout so that transforms only need to be newer than last frame. (#293 <https://github.com/ros-perception/image_pipeline/issues/293>)
  * Contributors: mhosmar-cpr

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 16:00:00 -0000

ros-iron-image-rotate (1.12.20-3jammy) jammy; urgency=high

  * Fix CMake warnings about Eigen.
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Apr 2017 16:00:00 -0000

ros-iron-image-rotate (1.12.19-3jammy) jammy; urgency=high

  * Fix frames if it is empty to rotate image
  * Contributors: Kentaro Wada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Jul 2016 16:00:00 -0000

ros-iron-image-rotate (1.12.18-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 16:00:00 -0000

ros-iron-image-rotate (1.12.17-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 16:00:00 -0000

ros-iron-image-rotate (1.12.16-3jammy) jammy; urgency=high

  * clean OpenCV dependency in package.xml
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 18 Mar 2016 16:00:00 -0000

ros-iron-image-rotate (1.12.15-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 16 Jan 2016 16:00:00 -0000

ros-iron-image-rotate (1.12.14-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 21 Jul 2015 16:00:00 -0000

ros-iron-image-rotate (1.12.13-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Apr 2015 16:00:00 -0000

ros-iron-image-rotate (1.12.12-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 30 Dec 2014 16:00:00 -0000

ros-iron-image-rotate (1.12.11-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 25 Oct 2014 16:00:00 -0000

ros-iron-image-rotate (1.12.10-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 27 Sep 2014 16:00:00 -0000

ros-iron-image-rotate (1.12.9-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 16:00:00 -0000

ros-iron-image-rotate (1.12.8-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 Aug 2014 16:00:00 -0000

ros-iron-image-rotate (1.12.6-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 16:00:00 -0000

ros-iron-image-rotate (1.12.4-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Apr 2014 16:00:00 -0000

ros-iron-image-rotate (1.12.3-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Apr 2014 16:00:00 -0000

ros-iron-image-rotate (1.12.2-3jammy) jammy; urgency=high

  * use NODELET_** macros instead of ROS_** macros
  * use getNodeHandle rather than getPrivateNodeHandle
  * add executable to load image_rotate/image_rotate nodelet.
    add xml file to export nodelet definition.
    Conflicts:
    image_rotate/package.xml
  * make image_rotate nodelet class
    Conflicts:
    image_rotate/CMakeLists.txt
    image_rotate/package.xml
    image_rotate/src/nodelet/image_rotate_nodelet.cpp
  * move image_rotate.cpp to nodelet directory according to the directory convenstion of image_pipeline
  * Contributors: Ryohei Ueda


